using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data;
using System.Data.Sql;
using System.Data.SqlClient;
using System.Windows.Forms;

namespace HMI
{
    class conexiondb
    {
        SqlConnection cn;
        SqlCommand cmd;
        SqlDataReader dr;
        DataTable dt;
        SqlDataAdapter da;

        public conexiondb()
        {
        
            try
            {
                cn = new SqlConnection("Data Source=.;Initial Catalog=data_hmi;Integrated Security=True");
                cn.Open();
            }
            catch (Exception ex)
            {
                MessageBox.Show("NO SE PUDO CONECTAR: " + ex.ToString());
            }


        }


        public string insertar(int largo, int diametro, float volumen, string categoria, string fecha)
        {
            string salida = "se insertó";
        try
        {
                cmd = new SqlCommand("insert into rollizos(largo,diametro,volumen,categoria,fecha) values("+largo+","+diametro+","+volumen+",'"+categoria+"','"+fecha+"') ",cn);
                cmd.ExecuteNonQuery();
        }
        catch(Exception ex)
            {
                 salida = "no se puede insertar";
            }
            return salida;


        }

        //public void cargainfo(DataGridView dgv)
        //{
        //    try
        //    {
        //        da = new SqlDataAdapter("select * from rollizos",cn);
        //        dt = new DataTable();
        //        da.Fill(dt);
        //        dgv.DataSource = dt;

        //    }

        //    catch
        //    {
        //        MessageBox.Show("no se pudo llenar tabla");

        //    }

        //}
    }
}
